import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'deviceType',
  standalone: true
})
export class DeviceTypePipe implements PipeTransform {

  transform(statusNum: number): string {
    switch (statusNum) {
      case 1:
        return '4G收款音响';
      case 2:
        return '码牌';
      case 3:
        return '小票打印机';
      default:
        return '未知';
    }
  }

}
